Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039927
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Modules] Advance Warehouse Operationsmajoralways2019-01-11 13:042019-02-04 19:27
ReporteranderarangurenView Statuspublic 
Assigned Toalekosmp86 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision34d4a73161da
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Review Assigned Toguilleaer
Regression introduced in release
Summary

0039927: Scanning in the frontend a UPC code for a task presented in AUOM with a GTIN defined increases the qty

DescriptionScanning in the frontend a UPC code for a task presented in AUOM with a GTIN defined increases the qty. UPC scans should not increase quantities in tasks which are being presented in AUOM and have a gtin defined.

If gtin is not defined it's ok to increase qty with UPC

Check: If a task is presented in stantard unit of measure gtin is not taken into account
Steps To Reproduce- Go to Backoffice, Product window and select Heineken Beer
- Set an UPC code for the product and another diferent for Gtin of the pack in Alternate UOM
- Create a purchase order
-> organization: west
-> BP: Tom ....
Lines
-> Heineken beer, qty 5, unit of measure PACK
-> Heineken beer, qty 5, unit of measure UNIT
- Book it and Receive it
- Go to frontend of awo
-> Select the line presented on pack
- Reduce qty to 0 (to test)
- Scan gtin -> qty is increased in one -> OK
- Scan UPC -> qty is increased in one -> WRONG
-> Select the line presented in units
- Reduce qty to 0 of both tasks (to test)
- Scan using gtin (qty of the other line should be increased) -> OK
- Select again task presented in units
- Scan using UPC code -> qty of the task is increased in one -> OK

and scan the Gtin and realize that it is adding packs.
 
TagsNo tags attached.
Attached Filespatch file icon I39927.patch [^] (1,055 bytes) 2019-02-01 13:51 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0109435)
hgbot (developer)
2019-02-01 13:59

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 34d4a73161da69cec9060d0cef55dc9e55274d85
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Fri Feb 01 13:58:19 2019 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/34d4a73161da69cec9060d0cef55dc9e55274d85 [^]

Fixed issue 39927: UPC scan will not increase qty of a product with AUOM and GTIN

---
M web/org.openbravo.warehouse.advancedwarehouseoperations/source/models/task.js
---
(0109436)
guilleaer (developer)
2019-02-01 14:00

I did the commit but the real fixer was alejandro. That's why I'm closing IT.
(0109543)
hgbot (developer)
2019-02-04 19:27

Repository: tools/automation/pi-mobile
Changeset: 0c1f20753d47e197bb1ab8615768f7a73ae07bd3
Author: Alejandro <alekosmp86 <at> gmail.com>
Date: Mon Feb 04 12:25:19 2019 -0500
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/0c1f20753d47e197bb1ab8615768f7a73ae07bd3 [^]

Related to issue 39927: added automated test

---
A src-test/org/openbravo/test/mobile/awo/tests/Scan/AWO_IncreaseProductQtyByScanningUPC_GTIN.java
A src-test/org/openbravo/test/mobile/awo/tests/Scan/AllAWOScanSuite.java
---

- Issue History
Date Modified Username Field Change
2019-01-11 13:04 anderaranguren New Issue
2019-01-11 13:04 anderaranguren Assigned To => Triage Finance
2019-01-11 13:45 Sandrahuguet Assigned To Triage Finance => guilleaer
2019-01-11 14:01 guilleaer Summary Scanning in the frontend a Gtin of a product with Alternate UOM should not add quantity, it should be ignored => Scanning in the frontend a UPC code for a task presented in AUOM with a GTIN defined increases the qty
2019-01-11 14:01 guilleaer Description Updated View Revisions
2019-01-11 14:01 guilleaer Steps to Reproduce Updated View Revisions
2019-02-01 13:51 guilleaer Status new => scheduled
2019-02-01 13:51 guilleaer Assigned To guilleaer => alekosmp86
2019-02-01 13:51 guilleaer File Added: I39927.patch
2019-02-01 13:59 hgbot Checkin
2019-02-01 13:59 hgbot Note Added: 0109435
2019-02-01 13:59 hgbot Status scheduled => resolved
2019-02-01 13:59 hgbot Resolution open => fixed
2019-02-01 13:59 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/34d4a73161da69cec9060d0cef55dc9e55274d85 [^]
2019-02-01 14:00 guilleaer Review Assigned To => guilleaer
2019-02-01 14:00 guilleaer Note Added: 0109436
2019-02-01 14:00 guilleaer Status resolved => closed
2019-02-04 19:27 hgbot Checkin
2019-02-04 19:27 hgbot Note Added: 0109543


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker